## AgsFxWahWahChannel

AgsFxWahWahChannel — fx wah_wah channel

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsFxWahWahChannel * | ags_fx_wah_wah_channel_new ()

## Properties

AgsPort * | wah-wah-attack | Read / Write
AgsPort * | wah-wah-decay | Read / Write
AgsPort * | wah-wah-enabled | Read / Write
AgsPort * | wah-wah-fixed-length | Read / Write
AgsPort * | wah-wah-length-mode | Read / Write
AgsPort * | wah-wah-lfo-depth | Read / Write
AgsPort * | wah-wah-lfo-freq | Read / Write
AgsPort * | wah-wah-ratio | Read / Write
AgsPort * | wah-wah-release | Read / Write
AgsPort * | wah-wah-sustain | Read / Write
AgsPort * | wah-wah-tuning | Read / Write

## Types and Values

enum | AgsFxWahWahChannelMode
enum | AgsFxWahWahLengthMode

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallChannel
                ╰── AgsFxWahWahChannel

## Includes

    #include <ags/audio/fx/ags_fx_wah_wah_channel.h>

## Description

The AgsFxWahWahChannel class provides ports to the effect processor.

## Functions

### ags_fx_wah_wah_channel_new ()

    AgsFxWahWahChannel *
    ags_fx_wah_wah_channel_new (AgsChannel *channel);

Create a new instance of AgsFxWahWahChannel

#### Parameters

channel | the AgsChannel |

#### Returns

the new AgsFxWahWahChannel

Since: 5.2.0

## Types and Values

### enum AgsFxWahWahChannelMode

#### Members

AGS_FX_WAH_WAH_CHANNEL_MODE_STREAM_LENGTH |  |
AGS_FX_WAH_WAH_CHANNEL_MODE_NOTE_LENGTH |  |
AGS_FX_WAH_WAH_CHANNEL_MODE_FIXED_LENGTH |  |

### enum AgsFxWahWahLengthMode

#### Members

AGS_FX_WAH_WAH_1_1_TH |  |
AGS_FX_WAH_WAH_2_2_TH |  |
AGS_FX_WAH_WAH_4_4_TH |  |
AGS_FX_WAH_WAH_8_8_TH |  |
AGS_FX_WAH_WAH_16_16_TH |  |

## Property Details

### The `“wah-wah-attack”` property

      “wah-wah-attack”           AgsPort *

The attack.

Owner: AgsFxWahWahChannel

Flags: Read / Write

Since: 5.2.0

### The `“wah-wah-decay”` property

      “wah-wah-decay”            AgsPort *

The decay.

Owner: AgsFxWahWahChannel

Flags: Read / Write

Since: 5.2.0

### The `“wah-wah-enabled”` property

      “wah-wah-enabled”          AgsPort *

The enabled switch.

Owner: AgsFxWahWahChannel

Flags: Read / Write

Since: 5.2.0

### The `“wah-wah-fixed-length”` property

      “wah-wah-fixed-length”     AgsPort *

The fixed length.

Owner: AgsFxWahWahChannel

Flags: Read / Write

Since: 5.2.0

### The `“wah-wah-length-mode”` property

      “wah-wah-length-mode”      AgsPort *

The length mode.

Owner: AgsFxWahWahChannel

Flags: Read / Write

Since: 5.2.0

### The `“wah-wah-lfo-depth”` property

      “wah-wah-lfo-depth”        AgsPort *

The lfo_depth.

Owner: AgsFxWahWahChannel

Flags: Read / Write

Since: 5.2.0

### The `“wah-wah-lfo-freq”` property

      “wah-wah-lfo-freq”         AgsPort *

The lfo_freq.

Owner: AgsFxWahWahChannel

Flags: Read / Write

Since: 5.2.0

### The `“wah-wah-ratio”` property

      “wah-wah-ratio”            AgsPort *

The ratio.

Owner: AgsFxWahWahChannel

Flags: Read / Write

Since: 5.2.0

### The `“wah-wah-release”` property

      “wah-wah-release”          AgsPort *

The release.

Owner: AgsFxWahWahChannel

Flags: Read / Write

Since: 5.2.0

### The `“wah-wah-sustain”` property

      “wah-wah-sustain”          AgsPort *

The sustain.

Owner: AgsFxWahWahChannel

Flags: Read / Write

Since: 5.2.0

### The `“wah-wah-tuning”` property

      “wah-wah-tuning”           AgsPort *

The tuning.

Owner: AgsFxWahWahChannel

Flags: Read / Write

Since: 5.2.0